Subject: Re: [PATCH v2 00/10] Rid W=1 warnings from OF

From: Lee Jones <[email-masked]>
Date: Wed, 24 Mar 2021 15:12:39 +0000

On Wed, 24 Mar 2021, Rob Herring wrote:

> On Tue, Mar 23, 2021 at 2:36 AM Lee Jones <[email-masked]> wrote:
> >
> > On Mon, 22 Mar 2021, Rob Herring wrote:
> >
> > > On Thu, Mar 18, 2021 at 4:40 AM Lee Jones <[email-masked]> wrote:
> > > >
> > > > This set is part of a larger effort attempting to clean-up W=1
> > > > kernel builds, which are currently overwhelmingly riddled with
> > > > niggly little warnings.
> > > >
> > > > v2:
> > > >  - Provided some descriptions to exported functions
> > > >
> > > > Lee Jones (10):
> > > >   of: device: Fix function name in header and provide missing
> > > >     descriptions
> > > >   of: dynamic: Fix incorrect parameter name and provide missing
> > > >     descriptions
> > > >   of: platform: Demote kernel-doc abuse
> > > >   of: base: Fix some formatting issues and provide missing descriptions
> > > >   of: property: Provide missing member description and remove excess
> > > >     param
> > > >   of: address: Provide descriptions for 'of_address_to_resource's params
> > > >   of: fdt: Demote kernel-doc abuses and fix function naming
> > > >   of: of_net: Provide function name and param description
> > > >   of: overlay: Fix function name disparity
> > > >   of: of_reserved_mem: Demote kernel-doc abuses
> > > >
> > > >  drivers/of/address.c         |  3 +++
> > > >  drivers/of/base.c            | 16 +++++++++++-----
> > > >  drivers/of/device.c          |  7 ++++++-
> > > >  drivers/of/dynamic.c         |  4 +++-
> > > >  drivers/of/fdt.c             | 23 ++++++++++++-----------
> > > >  drivers/of/of_net.c          |  3 +++
> > > >  drivers/of/of_reserved_mem.c |  6 +++---
> > > >  drivers/of/overlay.c         |  2 +-
> > > >  drivers/of/platform.c        |  2 +-
> > > >  drivers/of/property.c        |  2 +-
> > > >  10 files changed, 44 insertions(+), 24 deletions(-)
> > >
> > > I still see some warnings (note this is with DT files added to doc
> > > build). Can you send follow-up patches:
> > >
> > > ../include/linux/of.h:1193: warning: Function parameter or member
> > > 'output' not described in 'of_property_read_string_index'
> > > ../include/linux/of.h:1193: warning: Excess function parameter
> > > 'out_string' description in 'of_property_read_string_index'
> > > ../include/linux/of.h:1461: warning: cannot understand function
> > > prototype: 'enum of_overlay_notify_action '
> > > ../drivers/of/base.c:1781: warning: Excess function parameter 'prob'
> > > description in '__of_add_property'
> > > ../drivers/of/base.c:1804: warning: Excess function parameter 'prob'
> > > description in 'of_add_property'
> > > ../drivers/of/base.c:1855: warning: Function parameter or member
> > > 'prop' not described in 'of_remove_property'
> > > ../drivers/of/base.c:1855: warning: Excess function parameter 'prob'
> > > description in 'of_remove_property'
> >
> > You don't want much do you! ;)
> 
> Hey, want to fix all the schema warnings for me? ;)

Definitely not.  I've even gone to the trouble of disabling them. :D

> > Sure, I plan to clean up all of the kernel with subsequent patches.
> >
> > > BTW, there some more which I guess W=1 doesn't find:
> > >
> > > /home/rob/proj/git/linux-dt/Documentation/driver-api/devicetree:19:
> > > ../drivers/of/base.c:906: WARNING: Block quote ends without a blank
> > > line; unexpected unindent.
> > > /home/rob/proj/git/linux-dt/Documentation/driver-api/devicetree:19:
> > > ../drivers/of/base.c:1465: WARNING: Definition list ends without a
> > > blank line; unexpected unindent.
> > > /home/rob/proj/git/linux-dt/Documentation/driver-api/devicetree:19:
> > > ../drivers/of/base.c:1469: WARNING: Definition list ends without a
> > > blank line; unexpected unindent.
> > > /home/rob/proj/git/linux-dt/Documentation/driver-api/devicetree:19:
> > > ../drivers/of/base.c:1473: WARNING: Definition list ends without a
> > > blank line; unexpected unindent.
> > > /home/rob/proj/git/linux-dt/Documentation/driver-api/devicetree:19:
> > > ../drivers/of/base.c:1517: WARNING: Definition list ends without a
> > > blank line; unexpected unindent.
> > > /home/rob/proj/git/linux-dt/Documentation/driver-api/devicetree:19:
> > > ../drivers/of/base.c:1521: WARNING: Definition list ends without a
> > > blank line; unexpected unindent.
> > > /home/rob/proj/git/linux-dt/Documentation/driver-api/devicetree:19:
> > > ../drivers/of/base.c:1526: WARNING: Unexpected indentation.
> > > /home/rob/proj/git/linux-dt/Documentation/driver-api/devicetree:19:
> > > ../drivers/of/base.c:1528: WARNING: Block quote ends without a blank
> > > line; unexpected unindent.
> > > /home/rob/proj/git/linux-dt/Documentation/driver-api/devicetree:19:
> > > ../drivers/of/base.c:1529: WARNING: Definition list ends without a
> > > blank line; unexpected unindent.
> > > /home/rob/proj/git/linux-dt/Documentation/driver-api/devicetree:19:
> > > ../drivers/of/base.c:1533: WARNING: Definition list ends without a
> > > blank line; unexpected unindent.
> > > /home/rob/proj/git/linux-dt/Documentation/driver-api/devicetree:19:
> > > ../drivers/of/base.c:1705: WARNING: Definition list ends without a
> > > blank line; unexpected unindent.
> > > /home/rob/proj/git/linux-dt/Documentation/driver-api/devicetree:49:
> > > ../drivers/of/overlay.c:1183: WARNING: Inline emphasis start-string
> > > without end-string.
> >
> > What command did you use to find these?
> 
> make htmldocs
> 
> (with the DT files added to the docs)
> 
> These turn out to be the tip of the iceberg. There's all sorts of
> formatting issues. Tabs are a problem and the 'Return' section is
> wrong. These are only found looking at the output.

Heh!  Depends how desperate I get. :'D

-- 
Lee Jones [李琼斯]
Senior Technical Lead - Developer Services
Linaro.org │ Open source software for Arm SoCs
Follow Linaro: Facebook | Twitter | Blog